#!/bin/bash

WORKDIR=$(pwd | awk -F "/" '{print $NF}')

if [[ $WORKDIR == "Pema" ]]; then
  read -p "Do you want to generate a new environment-file(.env)? y/n`echo $'\n> '`" -n 1 -r && echo ""
  if [[ $REPLY =~ ^[Yy]$ ]]; then
    if [ -f .env ]; then
      read -p "Do you wish to make a backup of existing .env? \nThis will place the old file in \"old.env\" y/n`echo $'\n> '`" -n 1 -r && echo ""
      if [[ $REPLY =~ ^[Yy]$ ]]; then
        mv .env old.env
      fi
    fi
    rm -f .env
    touch .env
    while read c; do
      echo "export "$c"=" >> .env
    done <.chooseenvs
    while read s; do
      echo "export "$s"="$(echo $RANDOM | sha1sum | awk '{print $1}') >> .env
    done <.shas
    printf "\nThis information was populated into the file .env. \nPlease double check that this is correct before proceeding with the stack_deploy-script.\n\n"
    cat .env
  fi
else
  echo "Please change directory to the root folder of this repository. You are currently in the path: $(pwd)"
fi
