<?php

// Get title of page
global $title;
// Initialize Database
global $wpdb;

// Args for choosing users
$args = array(
	// Users with the role "student"
	'role' =>  'student',
	// Orderby their nicename
	'orderby' => 'user_nicename',
	// Order ASC
	'order' => 'ASC'
);

// Get all users based on args
$users = get_users($args);

// Get all proficiencies, e.g., beginner or experienced
$proficiencies = $wpdb->get_results("SELECT * FROM pema_proficiency");
?>

<div id="pema-create-group-wrapper">

	<form id="pema-create-group-form">
		<div id="pema-create-group-title">
			<h1><?php echo esc_html($title); ?></h1>
		</div>

		<div id="pema-create-group-page-description">
			<h2>Page description: </h2>
			<p>On this page you can create groups.</p>
			<p>These groups will be used to assign students to labs, as well as decide what hints they can see, based on proficiency.</p>
			<br>
		</div>

		<div id="pema-create-group-name">
			<p>Group name: </p>
			<input type="text" id="pema-create-group-name-input">
		</div>
		<br>
		<div id="pema-create-group-description">
			<p>Group description: </p>
			<textarea id="pema-create-group-description-textarea" rows="4" cols="50"></textarea>
		</div><br><br>

		<div id="pema-create-group-proficiency">
			<p>Select proficiency for the group:</p>
			<?php
			// for all proficiencies, display an input field with unique values
			foreach ( $proficiencies as $proficiency ) {
				?>
				<input type="radio" name="pema-create-group-proficiency-radio" value="<?php echo esc_attr($proficiency->proficiencyID);?>"><?php echo esc_html($proficiency->proficiencyName);?>
				<br><br>
				<?php
			}
			?>
		</div><br>

		<div id="pema-create-group-members">
			<p>Add users to group (Max 3):</p>
			<select id="pema-create-group-select" data-placeholder="Select students" multiple>
				<option></option>
				<?php
				// For all users based on args
				foreach($users as $user) {
					// Set value to be their ID, this is used by ajax when inserting to database
					?>
					<option value="<?php echo esc_attr($user->ID); ?>"><?php echo esc_html($user->display_name); ?></option>
					<?php
				}
				?>
			</select>
		</div><br><br>

		<?php
		// Custom hook
		do_action('pema_before_submit_create_group');
		?>

		<div id="pema-create-group-submit">
			<button type="submit" id="pema-create-group-button-submit">Submit</button>
		</div>

	</form>

</div>
