<?php
// Get title.
global $title;
// Initialize database connection.
global $wpdb;

// Get task templates.
$tasks = $wpdb->get_results("SELECT * FROM pema_task_template");
?>


<div id="pema-edit-task-wrapper">

    <div id="pema-edit-task-title">
        <!-- Print title -->
        <h1> <?php echo esc_html($title);?> </h1>
    </div>

	<div id="pema-edit-task-page-description">
		<h2>Page description: </h2>
		<p>On this page you can make changes to existing task templates.</p>
		<br>
	</div>

    <?php
    // If a templateID is set in the URL
        if ( isset($_GET['templateID']) ) {
            // Saving the chosen templateID to a variable.
            $chosenID = $_GET['templateID'];
            // Gathering all template-info for selected template.
			$selected_task = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_task_template WHERE templateID = %d", $chosenID));

            // If the task template exist
            if ( $selected_task ) {
            ?>

                <form id="pema-edit-task-submit-form">

                <div id="pema-edit-task-name">                                                                              <!-- Text box for title/name change -->
                    <p>Task title: </p>
                    <!-- The actual text box is pre-filled with the templateName -->
                    <input type="text" id="pema-edit-task-name-input" value="<?php echo esc_attr($selected_task->templateName) ?>">
                    <br><br>
                </div>

                <div id="pema-edit-task-description">
                    <p>Task description:</p>
                    <textarea id="pema-edit-task-description-input"><?php echo esc_textarea($selected_task->templateDescription); ?></textarea>
                    <br><br>
                </div>

                <div id="pema-edit-task-topic">
                    <p>Task topic:</p>

                    <select id="pema-edit-task-topic-select" single>
                        <option></option>
                        <?php
                        // Get info about the topic that the task is using
                        $topic = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_topic WHERE topicID = %d", $selected_task->topic));
                        // Get all topics
                        $options = $wpdb->get_results("SELECT * FROM pema_topic");
                        // For each topic
                        foreach ( $options as $option ) {
                            // Check if topic matches the topic that the task template is using
                            if ( $option->topicID == $topic->topicID ) {
                                // If it does, display as selected
                                ?>
                                <option selected value="<?php echo esc_attr($option->topicID); ?>"><?php echo esc_html($option->topicName); ?></option>
                                <?php
                            } else {
                            ?>
                                <option value="<?php echo esc_attr($option->topicID); ?>"><?php echo esc_html($option->topicName); ?></option>
                            <?php
                            }
                        }
                        ?>
                    </select>
                </div>
				<br>

    			<div id="pema-edit-task-answer">
    	            <p>Does this task require an answer? </p>
    				<?php
                    // Checks the correct button, according to what is stored in the database. (Ticks yes)
    				if ( $selected_task->answerType ) {
    					?>
    					<input checked type="radio" name="pema-edit-task-answer-radioname" id="pema-edit-task-answer-true" value="yes">Yes
    		            <input type="radio" name="pema-edit-task-answer-radioname" id="pema-edit-task-answer-false" value="no">No
    					<br><br>
    					<?php
                    // Ticks no.
    				} else {
    					?>
    					<input type="radio" name="pema-edit-task-answer-radioname" id="pema-edit-task-answer-true" value="yes">Yes
    					<input checked type="radio" name="pema-edit-task-answer-radioname" id="pema-edit-task-answer-false" value="no">No
    					<br><br>
    					<?php
    				}
    				?>
    			</div>

    			<?php
                // If it uses and answer, display it
    			if ( $selected_task->answerType ) {
    				?>
    				<div id="pema-edit-task-answer-select" style="display:" >
    				<?php
                // Else hide it
    			} else {
    				?>
    				<div id="pema-edit-task-answer-select" style="display: none" >
    				<?php
    			}
    				?>
    					<select id="pema-edit-task-answer-type-select" data-placeholder="Select answer type" single>
    		                <option></option>
    		                <?php
                            // Get options from pema_answer_type table.
    		                    $options = $wpdb->get_results("SELECT * FROM pema_answer_type");
                                // For each option...
    		                    foreach ( $options as $option ) {
                                    // If the answer type matches the answer type that the task is using
    								if ( $option->answerID === $selected_task->answerType ) {
                                        // Display as selected
    		                        	?>
                                        <!-- Create option with appropriate name. -->
    		                            <option selected value="<?php echo esc_attr($option->answerID); ?>"><?php echo esc_html($option->typeName); ?></option>
    		                        	<?php
    								} else {
    									?>
                                        <!-- Create option with appropriate name. -->
    									<option value="<?php echo esc_attr($option->answerID); ?>"><?php echo esc_html($option->typeName); ?></option>
    									<?php
    								}
    		                    }
    		                ?>
    		            </select><br><br>
    				</div>

                <?php
                // Custom hook
                do_action('pema_before_submit_edit_task', $chosenID);
                ?>

                <div id="pema-edit-task-submit">
                    <br>
                    <button id="pema-edit-task-submit-button" type=submit>Save</button>
                </div>
                </form>
                <?php
            } else {
                echo "Task template number '" . esc_html($chosenID) . "' does not exist.<br>";
            }
        } else {
            ?>
            <select onchange="location = this.value;">
                <!-- Default option -->
                <option selected disabled> Select task template </option>
                <?php
                 // For each task template
                foreach ( $tasks as $task ) {
                    ?>
                    <!-- Make templateID an option -->
                    <option value="<?php echo esc_url(admin_url() . 'admin.php?page=pema_edit_tasks&templateID=' . $task->templateID);?>"><?php echo esc_html($task->templateName); ?></option>
                    <?php
                }
                ?>
            </select>
            <?php
        }
        ?>
</div>
