<?php
// Get title.
global $title;
// Initialize database connection,
global $wpdb;

// Gets all task templates.
$get_tasks = $wpdb->get_results("SELECT * FROM pema_task_template");
?>

<div id="pema-manage-task-wrapper">
    <div id="pema-manage-task-title">
        <!-- Display title -->
        <h1> <?php echo esc_html($title); ?> </h1>
    </div>
	<div id="pema-manage-task-page-description">
		<h2>Page description: </h2>
		<p>On this page you can see an overview over all task templates.</p>
		<p>You can also go to each templates edit page, as well as delete them.</p>
		<br>
	</div>
    <?php
        // If task templates exist
        if ( $get_tasks ) {
            ?>
            <table id="pema-manage-task-table">
				<colgroup>
					<col style="display:none">
					<col id="pema-col-title">
					<col>
					<col id="pema-col-actions">
				</colgroup>
				<tr>
                    <th style="display:none">Task Number</th>
                    <th>Title</th>
                    <th>Topic</th>
                    <th>Actions</th>
                </tr>
            <?php
            // For all tasks templates.
                foreach ( $get_tasks as $get_task ) {
                    // Get the topic name.
                    $get_topics = $wpdb->get_row($wpdb->prepare("SELECT topicName from pema_topic WHERE topicID IN (SELECT topic FROM pema_task_template WHERE templateID = %d)", $get_task->templateID));
                    ?>

                    <tr>
                        <td style="display:none"><?php echo esc_html($get_task->templateID); ?></td>
                        <td><?php echo esc_html($get_task->templateName); ?></td>
                        <td><?php echo esc_html($get_topics->topicName); ?></td>
                        <td><a href="<?php echo esc_url(admin_url() . 'admin.php?page=pema_edit_tasks&templateID=' . $get_task->templateID);?>" id="pema-edit-task-button-edit" >
                            <!-- Edit button that redirects to correct edit page -->
							<button type="button">Edit</button></a>
                            <!-- Delete button -->
							<button id="pema-edit-task-button-delete">Delete</button></td>
                    </tr>
                    <?php
                }
            ?>

            </table>
            <?php
        } else {
            echo "No task templates were found";
        }
        ?>
</div>
