<?php
// Title
global $title;
// Initialize Database connection
global $wpdb;

?>

<div id="pema-manage-tasks-for-lab-wrapper">

	<div id="pema-manage-tasks-for-lab-h1">
		<h1> <?php echo esc_html($title); ?> </h1>
	</div>

	<div id="pema-task-for-lab-page-description">
		<h2>Page description: </h2>
		<p>On this page, an instructor can manage tasks tasks for a lab.</p>
		<p>Tasks can be added, removed, reordered and given time-limits.</p>
		<p>To reorder tasks, drag and drop the tasks in the table below! </p>
		<br>
	</div>

	<?php
	// If labID isset in the URL
	if ( isset($_GET['labID']) ) {
		//Store the labID, and validate IT
		$labID = filter_var($_GET['labID'], FILTER_VALIDATE_INT);
		// Get lab based on the labID
		$lab = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_lab WHERE labID = %d", $labID));

		// If lab exsist
		if ( $lab ) {
			// Get all tasks for the labID
			$tasks = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_task WHERE labID = %d ORDER BY taskOrder", $labID));

			$tasktemplates = $wpdb->get_results("SELECT * FROM pema_task_template");			//Get all task templates
			$orderID = 0;																		//Define orderID variable


			?>
			<div id="pema-manage-tasks-for-lab-h2">
				<h2>You are editing tasks for lab <?php echo esc_html($labID);?></h2>
			</div>
			<table id="pema-manage-tasks-for-lab-table">
				<colgroup>
					<col>
					<col>
					<col>
					<col>
					<col class="pema-col-timestamp">
					<col class="pema-col-timestamp">
					<col>
				</colgroup>
				<thead>
					<tr>
						<th style="display:none">OrderID</th>
						<th style="display:none">Task number</th>
						<th>Task Name</th>
						<th>Topic</th>
						<th style="display:none">Description</th>
						<th>Answer method</th>
						<th>Timed?</th>
						<th>Start date</th>
						<th>Deadline</th>
						<th>Actions</th>
					</tr>
				</thead>
				<tbody class="sort">
					<?php
					// Foreach task
					foreach ( $tasks as $task ) {
						// orderID + 1
						$orderID++;
						// Used to retrieve topicName
						$topic = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_topic WHERE topicID = %d", $task->topicID));
						// If the task has an answerID
						if ( !empty($task->answerID) ) {
							// Retrieve typeName
							$answer = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_answer_type WHERE answerID = %d", $task->answerID));
						}

						// If taskStart and taskEnd is set, means task is timed
						if ( $task->taskStart && $task->taskEnd ) {
							// Set $timed to yes
							$timed = "Yes";
						// Else, set $timed to no, means the task is not timed
						} else {
							$timed = "No";
						}
						?>
						<tr>
							<td class="counter" style="display:none"><?php echo esc_html($orderID); ?></td>
							<td style="display:none"><?php echo esc_html($task->taskID); ?></td>
							<td><?php echo esc_html($task->taskName); ?></td>
							<td id="#pema-manage-tasks-for-lab-td-topic"><?php echo esc_html($topic->topicName); ?></td>
							<td style="display:none"><?php echo esc_html($task->taskDescription); ?></td>
							<td><?php echo (!empty($task->answerID))? esc_html($answer->typeName):"";?></td>
							<td><?php
								// If $timed was set to yes, display the checkbox as checked
								if ( $timed === 'Yes' ) {
								 	?>
								 	<input checked type="checkbox" placeholder="Start-date" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-<?php echo esc_attr($orderID);?>" value="yes" >Yes<?php
								} else {
									?>
									<input type="checkbox" placeholder="Start-date" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-<?php echo esc_attr($orderID);?>" value="yes" >Yes<?php
								}
							?></td>
							<td><?php
								// If $timed was set to yes, display the input field with
								// the value and have it displayed
								if ( $timed === 'Yes' ) {
									?><input type="text" class="pema-manage-tasks-for-lab-input-start-class" value="<?php echo esc_attr($task->taskStart);?>" id="pema-manage-tasks-for-lab-startdate-input-<?php echo esc_attr($orderID);?>"><?php
								} else {
									?><input type="text" class="pema-manage-tasks-for-lab-input-start-class" placeholder="Start-date" id="pema-manage-tasks-for-lab-startdate-input-<?php echo esc_attr($orderID);?>" style="display: none"><?php
								}
							?></td>
							<td>
								<?php
								//If $timed was set to yes, display the input field with the value and have it displayed
								if ( $timed == 'Yes' ) {
									?><input type="text" class="pema-manage-tasks-for-lab-input-end-class" value="<?php echo esc_attr($task->taskEnd);?>" id="pema-manage-tasks-for-lab-enddate-input-<?php echo esc_attr($orderID);?>"><?php
								} else {
									?><input type="text" class="pema-manage-tasks-for-lab-input-end-class" placeholder="End-date" id="pema-manage-tasks-for-lab-enddate-input-<?php echo esc_attr($orderID);?>" style="display: none"><?php
								}
								?></td>
							<td><button id="pema-manage-tasks-for-lab-remove-button">Remove</button></td>
						</tr>
						<?php
					}
					?>
				</tbody>
				<tr>
					<?php $orderID++;	//++ orderid ?>
					<td style="display:none"><?php echo esc_html($orderID); ?></td>
					<td>
						<select name="pema-manage-tasks-for-lab-select">
							<option></option>
							<?php
							//Foreach tasktemplate
							foreach ( $tasktemplates as $tasktemplate ) {
								// Get info about topic based on the topicID
								$topic = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_topic WHERE topicID = %d", $tasktemplate->topic));
								// If template has an answermethod set, get info about it
								if ( !empty($tasktemplate->answerType) ) {
									$answermethod = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_answer_type WHERE answerID = %d", $tasktemplate->answerType));
								}

								//Set different data from tasktemplate in the options data values
								?>
								<option data-id="<?php echo esc_attr($tasktemplate->templateID);?>" data-answer="<?php echo (!empty($tasktemplate->answerType))?esc_attr($answermethod->typeName):"";?>" data-topic="<?php echo esc_attr($topic->topicName); ?>" data-desc="<?php echo esc_attr($tasktemplate->templateDescription); ?>" data-name="<?php echo esc_attr($tasktemplate->templateName); ?>"><?php echo esc_html($tasktemplate->templateName);?></option>
								<?php
							}
							?>
						</select>
					</td>
					<td style="display:none" id="pema-manage-tasks-for-lab-td-name"></td>
					<td id="pema-manage-tasks-for-lab-td-topic"></td>
					<td style="display:none" id="pema-manage-tasks-for-lab-td-description"></td>
					<td id="pema-manage-tasks-for-lab-td-answer"></td>
					<td><input type="checkbox" data-enddate="<?php echo esc_attr($lab->labEnd);?>" data-startdate="<?php echo esc_attr($lab->labStart);?>" id="pema-manage-tasks-for-lab-input-id" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-<?php echo esc_attr($orderID);?>" value="yes" >Yes</td>
					<td><input type="text" class="pema-manage-tasks-for-lab-input-start-class" placeholder="Start-date" id="pema-manage-tasks-for-lab-startdate-input-<?php echo esc_attr($orderID);?>" style="display: none"></td>
					<td><input type="text" class="pema-manage-tasks-for-lab-input-end-class" placeholder="End-date" id="pema-manage-tasks-for-lab-enddate-input-<?php echo esc_attr($orderID);?>" style="display: none"></td>
					<td><button id="pema-manage-tasks-for-lab-submit">Submit</button></td>
				</tr>
			</table>

			<br><br><button id="pema-manage-tasks-for-lab-save-button">Save</button>
		<?php
		} else {
			echo "No lab with ID '" . esc_html($labID) . "' found.";
		}
	} else {
		// Select all labs, used to select a lab when no lab is selected
		$labs = $wpdb->get_results("SELECT * FROM pema_lab");
		// If labs exist
		if ( $labs ) {
			?>
			<select onchange="location = this.value;">
				<option></option>
			<?php
			// Foreach lab
				foreach ( $labs as $lab ) {
					// Display option
					?>
					<option value="<?php echo esc_url(admin_url() . 'admin.php?page=pema_manage_tasks_lab&labID=' . $lab->labID);?>"><?php echo esc_html($lab->labName); ?></option>
					<?php
				}
				?>
			</select>
			<?php
		} else {
			echo "No labs exist, please create a lab first.<br>";
		}
	}
?>



</div>
