<?php

// Initialize the wpdb and title class
global $wpdb;
global $title;


?>

<div id="pema-submitted-tasks-wrapper">
	<div id="pema-submitted-tasks-title-h1">
		<h1> <?php echo esc_html($title); ?></h1>
	</div>
	<?php
	// If the header includes labID
	if ( isset($_GET['labID']) ) {
		// Filter it
		$labID = filter_var($_GET['labID'], FILTER_VALIDATE_INT);

		// Get lab
		$lab = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_lab WHERE labID = %d", $labID));
		// If the lab exist
		if ( $lab ) {
			// Get all tasks for the lab and get all groups that are a part of the lab
			$tasks = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_task WHERE labID = %d ORDER BY taskOrder", $labID));
			$groups = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_group WHERE groupID IN (SELECT groupID FROM pema_group_has_lab WHERE labID = %d)", $labID));
			?>
			<div id="pema-submitted-tasks-title-h2">
				<h2>You are viewing submitted tasks for lab <?php echo esc_html($labID);?></h2>
			</div>

			<table id="pema-submitted-tasks-table">
				<colgroup>
					<col id="pema-col-title">
					<col>
					<col>
					<col>
				</colgroup>
				<thead>
					<tr>
						<th>Task name</th>
						<th>Group name</th>
						<th>Submitted</th>
						<th>Submitted-Time</th>
					</tr>
				</thead>
				<tbody>
					<?php
					// For all tasks, display the task name
					foreach ( $tasks as $task ) {
						?>
						<tr>
							<td><?php echo esc_html($task->taskName);?></td>
								<td>
								<?php
								// For all groups, display the group Name
								foreach ( $groups as $group ) {
									?>
									<p><?php echo esc_html($group->groupName) . "<br>";?></p>
									<?php
								}
								?>
								</td>
								<td>
								<?php
								// For all groups
								foreach ( $groups as $group ) {
									// Check if group has submitted answer
									$submitted = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_task_complete WHERE taskID = %d AND groupID = %d", $task->taskID, $group->groupID));
									// If group has submitted correct answer, or if the task doesn't require an answer, display that it has been submitted
									if ( $submitted !== NULL || $task->answerID === NULL ) {
										?>
										<p style="color:green">Submitted</p>
										<?php
									// Else display that its not been submitted
									} else {
										?>
										<p style="color:red">Not submitted</p>
										<?php
									}
								}
								?>
								</td>
								<td>
								<?php
								// For all groups
								foreach ( $groups as $group ) {
									// If its supposed to have an answer
									if ( $task->answerID !== NULL ) {
										// Check if its submitted
										$submitted = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_task_complete WHERE taskID = %d AND groupID = %d", $task->taskID, $group->groupID));
										// If submitted, display the date it was submitted
										if ( $submitted !== NULL ) {
											?>
											<p style="color:green"><?php echo esc_html($submitted->submitted);?></p>
											<?php
										// Else display not submitted
										} else {
											?>
											<p style="color:red">Not submitted</p>
											<?php
										}
									// Else, the task doesn't require an answer
									} else {
										?>
										<p>This task does not require an answer.</p>
										<?php
									}
								}
								?>
								</td>
						</tr>
						<?php
					}
					?>
				</tbody>
			</table>
			<?php
		}
	// Else, i.e., header is not set
	} else {
		// Get all labs
		$labs = $wpdb->get_results("SELECT * FROM pema_lab");
		// If labs exist
		if ( $labs ) {
			?>
			<select onchange="location = this.value;">
				<option></option>
				<?php
				// For all labs, set as an option that refreshes page with the labID in the URL
				foreach ( $labs as $lab ) {
					?>
					<option value="<?php echo esc_url(admin_url(). 'admin.php?page=pema_submitted_tasks&labID=' . $lab->labID);?>"><?php echo esc_html($lab->labName);?></option>
					<?php
				}
			?>
			</select>
			<?php
		// Else display error message
		} else {
			echo "No labs exist, please create one first.<br>";
		}
	}
	?>
</div>
