<?php

// Get header
get_header();

// Get the sidebar
get_sidebar('home');

// Checks if the user is logged in
if ( is_user_logged_in() ) {
	//Gets the current user
	$current_user = wp_get_current_user();
	//Gets user data
	$curauth = get_queried_object();
	// https://codex.wordpress.org/Author_Templates#Custom_Author_Information
	// https://codex.wordpress.org/Function_Reference/get_queried_object

	// Gets 'show' or 'hide' depending on the authors preference
	$hide = get_user_meta($curauth->ID, 'pema-hide', true);

	?>
	<div class="pema-content">
		<div id="pema-author-wrapper">
			<div id="pema-author">
				<p><b>Display name: </b><?php echo  esc_html($curauth->display_name); ?></p>
				<p><b>Email: </b><?php echo esc_html($curauth->user_email); ?></p>
				<p><b>Nickname: </b><?php echo esc_html($curauth->nickname); ?></p>

				<?php
				//If its the logged in users author page, or if the author allows people to view more sensitive information
				if ( is_author($current_user->ID) || $hide === 'show' || in_array( 'instructor', (array) $current_user->roles ) ) {
					?>
					<p><b>Username: </b><?php echo esc_html($curauth->user_login); ?></p>
					<p><b>First name: </b><?php echo esc_html($curauth->first_name); ?></p>
					<p><b>Last name: </b><?php echo esc_html($curauth->last_name); ?></p>
					<?php
				}
				?>
			</div>

			<?php
			// If its the logged in user or if the user has the role instructor
			if ( is_author($current_user->ID) || in_array( 'instructor', (array) $current_user->roles ) ) {
				?>

				<div id="pema-author-edit">
			    	<button id="pema-nickname-edit">Edit Nickname</button><br>
			    	<div id="pema-nickname" style="display:none">
		    			<p>New nickname: </p><input data-id="<?php echo esc_attr($curauth->ID); ?>" type="text" id="pema-nickname-input"><br><br>
		    			<button id="pema-author-edit-button">Submit</button>
		    		</div>
				</div>


				<?php
			}
			// If its the logged in user
			if ( is_author($current_user->ID) ) {
				?>
				<div id="pema-author-hide">
					<h2>Hide your profile</h2>
					<p>Your preference is currently: <?php echo "<b>" . get_user_meta($current_user->ID, 'pema-hide', true) . "</b>"; ?></p><br>
					<input type="radio" name="pema-author-toggle-hide" id="pema-author-radio-show" value="show">Show<br><br>
					<input type="radio" name="pema-author-toggle-hide" id="pema-author-radio-hide" value="hide">Hide<br><br>
					<input type="submit" id="pema-author-toggle-hide-submit" value="submit">
				</div>
	    		<?php
			}
			?>
		</div>
		<?php
		// Custom hook
		do_action('pema_display_author_view', $current_user->ID, $curauth->ID);
		?>
	</div>
	<?php
}
// Get footer
get_footer();


?>
