<?php

/*

	========================================================
				ON THEME DEACTIVATION FUNCTIONS
	========================================================

*/

// Runs the function pema_remove_post_startup when the theme is deactivated
add_action("switch_theme", "pema_remove_startup");

// This function removes all relevant pages and roles (with capabilites)
function pema_remove_startup() {

	/* ----------- REMOVE CREATED ROLES/CAPABILITES ----------- */


	// Removes the student role
	remove_role('student');

	// Gets the instructor role and removes all capabilites
	$role = get_role('instructor');
	$role->remove_cap('read');
	$role->remove_cap('list_users');
	$role->remove_cap('create_users');
	$role->remove_cap('promote_users');
	$role->remove_cap('delete_users');
	$role->remove_cap('remove_users');
	$role->remove_cap('pema_create_post');
	$role->remove_cap('pema_create_lab');
	$role->remove_cap('pema_edit_lab');
	$role->remove_cap('pema_create_group');
	$role->remove_cap('pema_manage_task');
	$role->remove_cap('pema_create_task');
	$role->remove_cap('pema_view_lab');
	$role->remove_cap('pema_manage_topic');
	$role->remove_cap('pema_manage_tasks_lab');
	$role->remove_cap('pema_edit_group');
	$role->remove_cap('pema_submitted_task');
	// Removes the role.
	remove_role('instructor');

	//Gets the admin role.
	$role = get_role('administrator');
	// Removes the created capabilities for admin
	$role->remove_cap('pema_create_post');
	$role->remove_cap('pema_edit_lab');
	$role->remove_cap('pema_create_lab');
	$role->remove_cap('pema_create_group');
	$role->remove_cap('pema_manage_task');
	$role->remove_cap('pema_create_task');
	$role->remove_cap('pema_view_lab');
	$role->remove_cap('pema_manage_topic');
	$role->remove_cap('pema_manage_tasks_lab');
	$role->remove_cap('pema_edit_group');
	$role->remove_cap('pema_submitted_task');

	/* --- RESETS/REPOPULATES DEFAULT ROLES W/ DEFAULT CAPABILITIES --- */

	// Checks if function exists already.
	if ( !function_exists( 'populate_roles' ) ) {
		// If it does not, gets it from a default wordpress file.
  		require_once( ABSPATH . 'wp-admin/includes/schema.php' );
	}
	// Runs function, repopulates default roles.
	populate_roles();


	/* ----------- REMOVE METADATA FROM USERS ----------- */

	delete_user_meta('1', 'pema-hide');
}




?>
