jQuery(document).ready(function($){
	$(document).on('click', '#pema-manage-lab-button-delete', function(){		//On button click

		var currentRow=$(this).closest("tr");									//Get current row
		var col1 = currentRow.find("td:eq(0)").text();							//Get first column in current row

		$.confirm({																// Calling jquery-confirm
			title: 'Lab deletion',
			content: 'Are you sure you want to delete this lab?',
			type: 'red',
			typeAnimated: true,
			closeAnimation: 'Top',
			useBootstrap: false,
			boxWidth: '30%',
			theme: 'Material',
			buttons: {
				Yes: function() {
					$.ajax({
						url : ajax_params.ajaxurl,									//Gets ajax url
						type : 'post',												//Sets type to be post
						data : {
							idcol : col1,											//Get ID of lab from the current row
							security : ajax_params.ajax_nonce,						//Gets the nounce
							action : 'pema_delete_lab'								//Run this function
						},
						error : function( response ) {								//If error in ajax
						},
						success : function(data) {									//If successful ajax
							if ( data === 'Error' ) {
								alertError('Error deleting Lab, please contact the admin');
							} else if ( data === 'Constraint' ) {
								alertError('Please delete any tasks for the lab first.');
							} else {
								alertSuccess('Lab deleted!');						//Alert with data, TEMPORARY
								currentRow.remove();
							}
						}
					})
				},
				Cancel: function() {
					// Do Nothing ))
				}
			}
		});
	});	
});