jQuery(document).ready(function($){
	$(document).on('click', '#pema-edit-task-button-delete', function(){	// On manage-task-delete button click.

		var currentRow=$(this).closest("tr");									// Get current row.
		var col1 = currentRow.find("td:eq(0)").text();							// Get first column in current row (task number)

		$.confirm({																// Displays a confirm-box using jquery-confirm.
			title: 'Task deletion',													// Setting parameters.. title.
			content: 'Are you sure you want to delete this task?',					// Content.
			type: 'red',															// Style "type".
			typeAnimated: true,														// Adds a little colour animation.
			closeAnimation: 'top',
			useBootstrap: false,													// Disables bootstrap (allows for customization)
			boxWidth: '30%',														// Sets the alert-box width.
			theme: 'Material',
			buttons: {																// Options:
				Yes: function() {														// Yes.
					$.ajax({																// Calls ajax.
						url: ajax_params.ajaxurl,												// Gets ajax url.
						type: 'post',															// Sets type to post.
						data: {																	// Data ..
							idcol: col1,															// ID of the task template.
							security: ajax_params.ajax_nonce,										// Nonce.
							action: 'pema_delete_task_template'										// Run this function.
						},
						error: function( response ) {											// If ajax throws an error.
						},
						success: function(data) {													// On success.
							if ( data === 'Error' ) {
								alertError('There was an error deleting task template, please contact the admin');
							} else {
								alertSuccess('Task template deleted!');
								currentRow.remove();
							}
						}
					});
				},
				Cancel: function() {													// Cancel
					// Do nothing :)
				}
			}
		});
	});
});